WordPress.org

Ready to get started?Download WordPress

Forums

Upgrade Advice for an active MU-2.7.1 installation (6 posts)

  1. dlacy
    Member
    Posted 3 years ago #

    Hello,

    We are currently running MU-2.7.1 and would like to upgrade. I read (http://mu.wordpress.org) that MU no longer exists and that it is now included in the wordpress installation and is activated by a line in the configuration.

    I attempted to upgrade to wp.3.0.1 (manually) and was not able to activate the 'Network' option under the Tools menu. I also had some theming problems related to what I belive were legacy MU functions.

    I reverted the install back to 2.7.1 and thought I'd look to the list for some advice.

    What are my options here?

    -Dave

  2. MU has been folded into MultiSite.

    Since you're so far out of date, the best thing to do here is an incrimental upgrade.

    Old releases of MU are listed http://wordpress.org/download/release-archive/ (scroll to the BOTTOM of the page and make SURE you get the MU builds - they will have MU in the name).

    1) Upgrade to 2.8.x

    2) Upgrade to 2.9.2

    3) Upgrade to 3.0.1 (via http://wpmututorials.com/how-to/upgrading-from-wpmu-to-wp-3-0/ directions)

    You will NOT need to activate a network :)

  3. Follow what Ipstenu says. :) You can't make the just from that far back using the auto-upgrade & MU.

  4. dlacy
    Member
    Posted 3 years ago #

    Thanks for the info.

    On the release archive list there is a package called wordpress-mu-3.0.1.zip. What is this (if they are now packaged together), and why am I skipping it?

    Thanks,

    -Dave

  5. It's the same as wordpress-3.0.1.zip

    Older versions of MU look for wordpress-mu-version.zip and in order to trick them into getting the right version of WP, wordpress-mu-3.0.zip was made. It's 100% THE SAME as wordpress-3.0.zip, but it made upgrading easier

    When 3.0.1 came out, we found a funny thing. While MOST people went from 2.9.2 to 3.0 version, some people waited for 3.0.1, so that was made to 'trick' their installs too :D

  6. Yep. If you were on 2.9.2, and 3.0 was fresh out the door, WPMU installs looking in a physically different spot for the next version.

    once you go thu these steps, the auto-upgrader will work dandy for ya.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.